<script setup lang="ts">
defineProps<{
	title: string
}>()
</script>

<template>
	<span class="sort-item">
		{{ title }}
	</span>
</template>

<style scoped lang="scss">
span {
	color: #000;
	text-decoration: none;
	position: relative;

	&:hover {
		cursor: pointer;
	}

	&:before,
	&:after {
		border: 4px solid transparent;
		content: "";
		display: block;
		height: 0;
		right: -10px;
		top: 50%;
		position: absolute;
		width: 0;
	}

	&:before {
		border-bottom-color: #666;
		margin-top: -9px;
	}

	&:after {
		border-top-color: #666;
		margin-top: 1px;
	}
}
</style>
